## GtkTree

GtkTree

## Functions

#define | GTK_IS_ROOT_TREE()
#define | GTK_TREE_ROOT_TREE()
#define | GTK_TREE_SELECTION_OLD()
GtkWidget * | gtk_tree_new ()
void | gtk_tree_append ()
void | gtk_tree_prepend ()
void | gtk_tree_insert ()
void | gtk_tree_remove_items ()
void | gtk_tree_clear_items ()
void | gtk_tree_select_item ()
void | gtk_tree_unselect_item ()
void | gtk_tree_select_child ()
void | gtk_tree_unselect_child ()
gint | gtk_tree_child_position ()
void | gtk_tree_set_selection_mode ()
void | gtk_tree_set_view_mode ()
void | gtk_tree_set_view_lines ()
void | gtk_tree_remove_item ()

## Signals

void | select-child | Run First
void | selection-changed | Run First
void | unselect-child | Run First

## Types and Values

struct | GtkTree
enum | GtkTreeViewMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkTree

## Implemented Interfaces

GtkTree implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### GTK_IS_ROOT_TREE()

    #define GTK_IS_ROOT_TREE(obj)   ((GtkObject*) GTK_TREE(obj)->root_tree == (GtkObject*)obj)

`GTK_IS_ROOT_TREE` is deprecated and should not be used in newly-written code.

### GTK_TREE_ROOT_TREE()

    #define GTK_TREE_ROOT_TREE(obj) (GTK_TREE(obj)->root_tree ? GTK_TREE(obj)->root_tree : GTK_TREE(obj))

`GTK_TREE_ROOT_TREE` is deprecated and should not be used in newly-written code.

### GTK_TREE_SELECTION_OLD()

    #define GTK_TREE_SELECTION_OLD(obj) (GTK_TREE_ROOT_TREE(obj)->selection)

`GTK_TREE_SELECTION_OLD` is deprecated and should not be used in newly-written code.

### gtk_tree_new ()

    GtkWidget *
    gtk_tree_new (void);

`gtk_tree_new` is deprecated and should not be used in newly-written code.

### gtk_tree_append ()

    void
    gtk_tree_append (GtkTree *tree,
                     GtkWidget *tree_item);

`gtk_tree_append` is deprecated and should not be used in newly-written code.

### gtk_tree_prepend ()

    void
    gtk_tree_prepend (GtkTree *tree,
                      GtkWidget *tree_item);

`gtk_tree_prepend` is deprecated and should not be used in newly-written code.

### gtk_tree_insert ()

    void
    gtk_tree_insert (GtkTree *tree,
                     GtkWidget *tree_item,
                     gint position);

`gtk_tree_insert` is deprecated and should not be used in newly-written code.

### gtk_tree_remove_items ()

    void
    gtk_tree_remove_items (GtkTree *tree,
                           GList *items);

`gtk_tree_remove_items` is deprecated and should not be used in newly-written code.

### gtk_tree_clear_items ()

    void
    gtk_tree_clear_items (GtkTree *tree,
                          gint start,
                          gint end);

`gtk_tree_clear_items` is deprecated and should not be used in newly-written code.

### gtk_tree_select_item ()

    void
    gtk_tree_select_item (GtkTree *tree,
                          gint item);

`gtk_tree_select_item` is deprecated and should not be used in newly-written code.

### gtk_tree_unselect_item ()

    void
    gtk_tree_unselect_item (GtkTree *tree,
                            gint item);

`gtk_tree_unselect_item` is deprecated and should not be used in newly-written code.

### gtk_tree_select_child ()

    void
    gtk_tree_select_child (GtkTree *tree,
                           GtkWidget *tree_item);

`gtk_tree_select_child` is deprecated and should not be used in newly-written code.

### gtk_tree_unselect_child ()

    void
    gtk_tree_unselect_child (GtkTree *tree,
                             GtkWidget *tree_item);

`gtk_tree_unselect_child` is deprecated and should not be used in newly-written code.

### gtk_tree_child_position ()

    gint
    gtk_tree_child_position (GtkTree *tree,
                             GtkWidget *child);

`gtk_tree_child_position` is deprecated and should not be used in newly-written code.

### gtk_tree_set_selection_mode ()

    void
    gtk_tree_set_selection_mode (GtkTree *tree,
                                 GtkSelectionMode mode);

`gtk_tree_set_selection_mode` is deprecated and should not be used in newly-written code.

### gtk_tree_set_view_mode ()

    void
    gtk_tree_set_view_mode (GtkTree *tree,
                            GtkTreeViewMode mode);

`gtk_tree_set_view_mode` is deprecated and should not be used in newly-written code.

### gtk_tree_set_view_lines ()

    void
    gtk_tree_set_view_lines (GtkTree *tree,
                             gboolean flag);

`gtk_tree_set_view_lines` is deprecated and should not be used in newly-written code.

### gtk_tree_remove_item ()

    void
    gtk_tree_remove_item (GtkTree *tree,
                          GtkWidget *child);

`gtk_tree_remove_item` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkTree

    struct GtkTree;

`GtkTree` is deprecated and should not be used in newly-written code.

### enum GtkTreeViewMode

`GtkTreeViewMode` is deprecated and should not be used in newly-written code.

#### Members

GTK_TREE_VIEW_LINE |  |
GTK_TREE_VIEW_ITEM |  |

## Signal Details

### The `“select-child”` signal

    void
    user_function (GtkTree   *tree,
                   GtkWidget *widget,
                   gpointer   user_data)

Flags: Run First

### The `“selection-changed”` signal

    void
    user_function (GtkTree *tree,
                   gpointer user_data)

Flags: Run First

### The `“unselect-child”` signal

    void
    user_function (GtkTree   *tree,
                   GtkWidget *widget,
                   gpointer   user_data)

Flags: Run First